program RBDExchange;

uses
  Forms,
  ufrmMain in 'ufrmMain.pas' {frmMain},
  ufrmSettings in 'ufrmSettings.pas' {frmSettings},
  uMain in 'uMain.pas',
  ufrmSingleSetting in 'ufrmSingleSetting.pas' {frmSingleSetting},
  uExchange in 'uExchange.pas',
  ufrmProgress in 'ufrmProgress.pas' {frmProgress},
  ufrmLogs in 'ufrmLogs.pas' {frmLogs},
  ufrmDescription in 'ufrmDescription.pas' {frmDescription},
  ufrmAbout in 'ufrmAbout.pas' {frmAbout},
  ufrmPassword in 'ufrmPassword.pas' {frmPassword},
  ufrmSingleSync in 'ufrmSingleSync.pas' {frmSingleSync},
  uThreadSync in 'uThreadSync.pas',
  uThreadUpdateProgress in 'uThreadUpdateProgress.pas',
  uThreadExchange in 'uThreadExchange.pas',
  uThreadPing in 'uThreadPing.pas',
  uBackground in 'uBackground.pas',
  uExchangeBackground in 'uExchangeBackground.pas',
  uSyncBackground in 'uSyncBackground.pas';

{$R *.res}

begin
  Application.Initialize;
  IconHandle := Application.Icon.Handle;
  Background:=False;
  if ParamCount > 0 then
  begin
    if (ParamStr(1) = '/b') or (ParamStr(1) = '/B') then
    begin
      //      
      Background:=True;
    end;
  end;

  if not Background then
  begin
    Application.Title := 'RBD Exchange';
    Application.HelpFile := 'RBDExchange';
    Application.CreateForm(TfrmMain, frmMain);
    Application.CreateForm(TfrmSettings, frmSettings);
    Application.CreateForm(TfrmSingleSetting, frmSingleSetting);
    Application.CreateForm(TfrmProgress, frmProgress);
    Application.CreateForm(TfrmLogs, frmLogs);
    Application.CreateForm(TfrmDescription, frmDescription);
    Application.CreateForm(TfrmAbout, frmAbout);
    Application.CreateForm(TfrmPassword, frmPassword);
    Application.CreateForm(TfrmSingleSync, frmSingleSync);
    if MainData.TrayOnStart then
    begin
      Application.ShowMainForm := False;
      TraySet(1, '');
    end;
  end;
  Application.Run;

  if Background then
  begin
    StartBackground();
  end;
end.
