unit uBackground;

interface

uses uMain, Forms, SyncObjs, SysUtils, uExchangeBackground, uSyncBackground;

  procedure StartBackground();

implementation

procedure StartBackground();
var
  CanStartBackground: Boolean;
begin
  CanStartBackground := False;
  Dir := GetCurrentDir();
  ReadSettingsDB();
  ReadLogs();
  if (ParamStr(2) = '/e') or (ParamStr(2) = '/E') then
  begin
    //  
    StartExchangeBackground();
    CanStartBackground := True;
  end else
  begin
    if (ParamStr(2) = '/s') or (ParamStr(2) = '/S') then
    begin
      //  
      StartSyncBackground();
      CanStartBackground := True;
    end;
  end;
  if (ParamStr(3) = '/e') or (ParamStr(3) = '/E') then
  begin
    //  
    StartExchangeBackground();
    CanStartBackground := True;
  end else
  begin
    if (ParamStr(3) = '/s') or (ParamStr(3) = '/S') then
    begin
      //  
      StartSyncBackground();
      CanStartBackground := True;
    end;
  end;
  if not CanStartBackground then
  begin
    Application.Terminate;
  end;
end;

end.
